com.mysql.jdbc

## Class ConnectionImpl.ExceptionInterceptorChain

- java.lang.Object
- - com.mysql.jdbc.ConnectionImpl.ExceptionInterceptorChain

All Implemented Interfaces:
  ExceptionInterceptor, Extension

Enclosing class:
  ConnectionImpl

     class ConnectionImpl.ExceptionInterceptorChain
    extends java.lang.Object
    implements ExceptionInterceptor

### Field Summary

Fields
`(package private) java.util.List<Extension>` `interceptors`

### Constructor Summary

Constructors
Constructor and Description
`ConnectionImpl.ExceptionInterceptorChain(java.lang.String interceptorClasses)`

### Method Summary

Methods
`(package private) void` `addRingZero(ExceptionInterceptor interceptor)`
`void` `destroy()` Called by the driver when this extension should release any resources it is holding and cleanup internally before the connection is closed.
`void` `init(Connection conn, java.util.Properties properties)` Called once per connection that wants to use the extension The properties are the same ones passed in in the URL or arguments to Driver.connect() or DriverManager.getConnection().
`java.sql.SQLException` `interceptException(java.sql.SQLException sqlEx, Connection conn)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### interceptors

    java.util.List<Extension> interceptors

### Constructor Detail

#### ConnectionImpl.ExceptionInterceptorChain

    ConnectionImpl.ExceptionInterceptorChain(java.lang.String interceptorClasses)
                                       throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

### Method Detail

#### addRingZero

    void addRingZero(ExceptionInterceptor interceptor)
               throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### interceptException

    public java.sql.SQLException interceptException(java.sql.SQLException sqlEx,
                                           Connection conn)

Specified by:
  `interceptException` in interface `ExceptionInterceptor`

#### destroy

    public void destroy()

Description copied from interface: `Extension`
Called by the driver when this extension should release any resources it is holding and cleanup internally before the connection is closed.

Specified by:
  `destroy` in interface `Extension`

#### init

    public void init(Connection conn,
            java.util.Properties properties)
              throws java.sql.SQLException

Description copied from interface: `Extension`
Called once per connection that wants to use the extension The properties are the same ones passed in in the URL or arguments to Driver.connect() or DriverManager.getConnection().

Specified by:
  `init` in interface `Extension`
Parameters:
  `conn` - the connection for which this extension is being created
  `properties` - configuration values as passed to the connection. Note that in order to support javax.sql.DataSources, configuration properties specific to an interceptor must be passed via setURL() on the DataSource. Extension properties are not exposed via accessor/mutator methods on DataSources.
Throws:
  `java.sql.SQLException` - should be thrown if the the Extension can not initialize itself.